Package wx :: Class PyPreviewFrame

[frames | no frames]

## Type PyPreviewFrame

    object --+
             |
        Object --+
                 |
        EvtHandler --+
                     |
                Window --+
                         |
            TopLevelWindow --+
                             |
                         Frame --+
                                 |
                      PreviewFrame --+
                                     |
                                    PyPreviewFrame

Proxy of C++ PyPreviewFrame class

Method Summary
PyPreviewFrame | `__init__(self, preview, parent, title, pos, size, style, name)`
| ``base_CreateCanvas`(*args, **kwargs)` Please use PyPreviewFrame.CreateCanvas instead.
| ``base_CreateControlBar`(*args, **kwargs)` Please use PyPreviewFrame.CreateControlBar instead.
| ``base_Initialize`(*args, **kwargs)` Please use PyPreviewFrame.Initialize instead.
| `CreateCanvas(self)`
| `CreateControlBar(self)`
| `Initialize(self)`
| `SetControlBar(self, bar)`
| `SetPreviewCanvas(self, canvas)`

Property Summary
| `thisown`: The membership flag

Instance Method Details

### base_CreateCanvas(*args, **kwargs)

Please use PyPreviewFrame.CreateCanvas instead.

### base_CreateControlBar(*args, **kwargs)

Please use PyPreviewFrame.CreateControlBar instead.

### base_Initialize(*args, **kwargs)

Please use PyPreviewFrame.Initialize instead.

Property Details

### thisown

The membership flag

Generated by Epydoc 2.1.20050511.rpd on Thu Mar 22 12:08:22 2007 | http://epydoc.sf.net